Subject: Re: A request for formal registration of "ucode" as URN

From: ishikawa <[email-masked]>
Date: Wed, 11 Jan 2012 13:49:59 +0900

Hi,

I know that the new year and other holidays got in the
work flow (initial two week review),
but I wonder if there are any comments to the
formal request I sent.

Thank you in advance for your attention.

Sincerely,
Chiaki Ishikawa

On (2011年12月26日 11:53), ishikawa wrote:
> FYI, the document is now accessible from
> 
> https://datatracker.ietf.org/doc/draft-ishikawa-yrpunl-ucode-urn/
> 
> TIA and a Happy New Year to all.
> 
> Sincerely,
> Chiaki Ishikawa
> 
> On (2011年12月22日 19:51), ishikawa wrote:
>> Dear sirs/madams,
>>
>> After my initial submission attempt, I received an e-mail from
>> Alfred Hoenes, the co-chair of URNBIS. Per his suggestion, I cancelled the
>> original submission and re-named the document to
>>
>> draft-ishikawa-yrpunl-ucode-urn-00
>>
>> and resubmitted.
>>
>> Attached the modified submission draft.
>> I changed the reference to urnbis in the left column heading of the first 
>> page to urn also. (The date is also bumped by one. The date of the IETF 
>> server seems to have changed.)
>>
>> Thank you in advance for your attention.
>>
>> Sincerely,
>> Chiaki Ishikawa
>>
>>> Speaking as an URNbis co-chair:
>>>
>>> IMHO, work on new URN namespaces, and hence this draft,
>>> currently is out of charter for URNBIS working group
>>> (cf. http://datatracker.ietf.org/wg/urnbis/charter/ ).
>>> Hence, this draft should be submitted as an individual draft.
>>>
>>> Andy, do you agree?
>>> If so, please act upon the formal refusal.
>>>
>>> Authors, please re-submit as draft-ishikawa-yrpunl-ucode-urn-00,
>>> draft-ishikawa-urnbis-yrpunl-ucode-00, or similar.
>>>
>>> Kind regards,
>>> Alfred H�nes.
>>>
>>> -- 
>>> +------------------------+--------------------------------------------+ | 
>>> TR-Sys Alfred Hoenes | Alfred Hoenes Dipl.-Math., Dipl.-Phys. | | 
>>> Gerlinger Strasse 12 | Phone: (+49)7156/9635-0, Fax: -18 | | D-71254 
>>> Ditzingen | E-Mail: [email-masked] | 
>>> +------------------------+--------------------------------------------+
>>
>>
>> On (2011年12月22日 14:37), ishikawa wrote:
>>> Dear sirs/madams,
>>>
>>> Allow me to introduce myself.
>>>
>>> I am Chiaki Ishikawa of YRP Ubiquitous Networking Laboratory.
>>> My office is an executive member of an NPO called T-Engine Forum which,
>>> among other things, administrates uID Center which, in turn, manages
>>> an identifier code system called "ucode".
>>>
>>> Here with the request of the team at uID center and the chair of T-Engine
>>> Forum, I am applying for
>>> the formal registration of "ucode".
>>>
>>> Attached is the copy of document with the document name which I am trying to
>>> submit to IETF.
>>>
>>> draft-ietf-urnbis-yrpunl-ucode
>>>
>>> It is at the initial approval stage:
>>>
>>> https://datatracker.ietf.org/submit/status/37780/request/
>>>
>>> So I think I am at the initial stage (step 2) of the following procedure.
>>> (Instead of sending the Internet-Draft, I used the the mechanical submission
>>> process since it seems preferred. But I am not entirely sure
>>> when the initial approval stage passes. Hmm ...)
>>>
>>> Formal NID:
>>>
>>> 1. Write an Internet-Draft describing the namespace and include
>>> the registration template, duly completed. Be sure to include
>>> "Namespace Considerations", "Community Considerations" and
>>> "IANA Considerations" sections, as described in Section 4.3.
>>>
>>> 2. Send the Internet-Draft to the I-D editor, and send a copy to
>>> [email-masked] for technical review.
>>>
>>> 3. Update the Internet-Draft as necessary from comments, and
>>> repeat steps 2 and 3 as needed.
>>>
>>> 4. Send a request to the IESG to publish the I-D as an RFC. The
>>> IESG may request further changes (published as I-D revisions)
>>> and/or direct discussion to designated working groups, area
>>> experts, etc.
>>>
>>> 5. If the IESG approves the document for publication as an RFC,
>>> send a request to IANA to register the requested NID.
>>>
>>> Please feel free to ask me questions.
>>>
>>> Thank you in advance for your attention.
>>>
>>> I wish you all a pleasant holiday season and a Happy New Year.
>>>
>>> Sincerely,
>>> Chiaki Ishikawa
>>
>

---

From: Ted Hardie <[email-masked]>
Date: Wed, 11 Jan 2012 10:08:20 -0800

Ishikawa-san,

Thank you very much for your note.  I have reviewed the formal
registration request, and I believe it is complete and largely
correct.  I would like to ask one clarifying question.  As written
now, the <hex-decimal> production seems to allow only the use of upper
case A-F:

<hex-decimal>     = "0" / "1" / "2" / "3" / "4" / "5" / "6" / "7" /
                     "8" / "9" / "A" / "B" / "C" / "D" / "E" / "F"

I would suggest that it permit the use of lower case la-f as well,
even if the preferred presentation format of the name uses the upper
case.  There are many hexadecimal representations which do not
distinguish between the two, so I believe it would be better practice
to permit them.

Thanks again for the opportunity to review your draft,

regards,

Ted Hardie

On Tue, Jan 10, 2012 at 8:49 PM, ishikawa <[email-masked]> wrote:
>>>> | TR-Sys Alfred Hoenes | Alfred Hoenes Dipl.-Math., Dipl.-Phys. | |

---

From: Peter Saint-Andre <[email-masked]>
Date: Wed, 11 Jan 2012 15:27:06 -0700

> distinguish between the two, so I believe it would be better practice

Hi Ted,

That would be inconsistent with this sentence in Section 2 of
draft-ishikawa-yrpunl-ucode-urn:

   The entire UCODE-URN is case-sensitive.

Peter

--
Peter Saint-Andre
http://stpeter.im/

---

From: Ted Hardie <[email-masked]>
Date: Wed, 11 Jan 2012 14:32:54 -0800

>   The entire UCODE-URN is case-sensitive.

I understand.  From a registration perspective, this is clear.  But
from a practice perspective, it is my personal advice that this will
likely lead to problems, because many hexadecimal parsers would treat
a and A as equivalent.  The authors are, of course, free to discard
this suggestion if the constraints on their system are such that this
will not arise.

Ted

---

From: ishikawa <[email-masked]>
Date: Fri, 13 Jan 2012 17:08:17 +0900

Dear Ted and Peter,

This is Chiaki Ishikawa.

Thank you for your comments.

I take the suggestion from TED seriously, and
I checked with the original developer of the specification for the
intention behind the "case-sensitive" nature.

It turns out that the hexadecimal string that represents ucode in urn
would be directly translated into XML tags in some of
the intended applications. (Some of them anyway.)

XML tags are case-sensitive and that is why the capital letters only are
allowed for hexadecimal "A", "B", "C", "D", "E" and "F" for keeping the
uniqueness issue of XML tag names under control.

(So I take that conversion to numeric value is less of an issue
for this particular class of applications. XML is processed in character
string space more or less.)

So because of the nature of some planned applications (and some of them are
large-scale deployment), this case-sensitivity dictating the use of  capital
letters only for hexadecimal string must be there. That is the comment from
the ucode designers and ucode application developers.

Thank you for your valuable time.

Sincerely,
Chiaki Ishikawa

On (2012年01月12日 07:32), Ted Hardie wrote:
> On Wed, Jan 11, 2012 at 2:27 PM, Peter Saint-Andre<[email-masked]>  wrote:
>>

---

From: Ted Hardie <[email-masked]>
Date: Fri, 13 Jan 2012 09:07:45 -0800

Dear Ishikawa-san,

Thank you for your careful consideration of the message.  With this
data, I believe that this registration is ready to proceed.

regards,

Ted

---

From: Peter Saint-Andre <[email-masked]>
Date: Fri, 13 Jan 2012 10:12:01 -0700

Yes, I agree.

I shall initiate IETF Last Call on this specification, so that the IESG
can consider it before the end of my term at IETF 83.

---

From: ishikawa <[email-masked]>
Date: Tue, 17 Jan 2012 13:51:31 +0900

Dear Peter,Ted, and readers of the mailing list,

I have uploaded a revised version of "draft-ishikawa-yrpunl-ucode-urn"
to correct the mention of outdated
RFC for URI syntax (from RFC 2396 to RFC 3986), and
removed the use of "<", ">" from the non-terminal symbols
in ABNF description of ucode urn name. This makes it easier to read the
ABNF. (Per Peter's suggestion.)

The newly submitted modified document is available at the following.

Sincerely,
Chiaki Ishikawa

On (2012年01月14日 02:12), Peter Saint-Andre wrote:
>> 2012/1/13 ishikawa<[email-masked]>:
>>> Dear Ted and Peter,
>>>
>>> This is Chiaki Ishikawa.
>>>

---

From: Peter Saint-Andre <[email-masked]>
Date: Tue, 17 Jan 2012 10:20:38 -0700

Thank you, Ishikawa-san. I have requested an IETF Last Call.

Peter

---

From: ishikawa <[email-masked]>
Date: Wed, 25 Jan 2012 19:41:31 +0900

Dear all,

I have uploaded a very minor change to
draft-ishikawa-yrpunl-ucode-urn-01.txt

The change is that the use of "<" and ">" was not deleted
in a couple of places. The two usages in main text part were missed when the
usage was removed in ABNF description.

E.g.

<ucode-number> vs ucode-number

I noticed them and deleted the usage and
now uploaded the "-02" version.
(I am not sure if it is customary to update the submission and expiration
date on the document, presumably it is, so I did.)

The document is available at
http://datatracker.ietf.org/doc/draft-ishikawa-yrpunl-ucode-urn/history/

Regards,
Chiaki Ishikawa

On (2012年01月18日 02:20), Peter Saint-Andre wrote:
>> removed the use of "<",">" from the non-terminal symbols